ISWXDIGIT(3)

NAME
iswxdigit - test for hexadecimal digit wide character

SYNOPSIS
#include <wctype.h>

int iswxdigit(wint_t wc);

DESCRIPTION
The iswxdigit function is the wide-character equivalent of the isxdigit function. It tests whether wc is a wide character belonging to the wide character class "xdigit".

The wide character class "xdigit" is a subclass of the wide character class "alnum", and therefore also a subclass of the wide character class "graph" and of the wide character class "print".

Being a subclass of the wide character class "print", the wide character class "xdigit" is disjoint from the wide character class "cntrl".

Being a subclass of the wide character class "graph", the wide character class "xdigit" is disjoint from the wide character class "space" and its subclass "blank".

Being a subclass of the wide character class "alnum", the wide character class "xdigit" is disjoint from the wide character class "punct".

The wide character class "xdigit" always contains at least the letters 'A' to 'F', 'a' to 'f' and the digits '0' to '9'.

RETURN VALUE
The iswxdigit function returns non-zero if wc is a wide character belonging to the wide character class "xdigit". Otherwise it returns zero.

CONFORMING TO
ISO/ANSI C, UNIX98

SEE ALSO
iswctype(3), isxdigit(3)

NOTES
The behaviour of iswxdigit depends on the LC_CTYPE category of the current locale.